# eric7.Plugins.VcsPlugins.vcsSubversion.SvnRepoBrowserDialog

Module implementing the subversion repository browser dialog.

### Global Attributes

None

### Classes

SvnRepoBrowserDialog | Class implementing the subversion repository browser dialog.

### Functions

None

## SvnRepoBrowserDialog

Class implementing the subversion repository browser dialog.

### Derived from

QDialog, Ui_SvnRepoBrowserDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnRepoBrowserDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a tree item in the repository tree.
__listRepo | Private method to perform the svn list command.
__normalizeUrl | Private method to normalite the url.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__repoRoot | Private method to get the repository root using the svn info command.
__resizeColumns | Private method to resize the tree columns.
__resort | Private method to resort the tree.
accept | Public slot called when the dialog is accepted.
closeEvent | Protected slot implementing a close event handler.
getSelectedUrl | Public method to retrieve the selected repository URL.
keyPressEvent | Protected slot to handle a key press event.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_repoTree_itemCollapsed | Private slot called when an item is collapsed.
on_repoTree_itemExpanded | Private slot called when an item is expanded.
on_repoTree_itemSelectionChanged | Private slot called when the selection changes.
on_sendButton_clicked | Private slot to send the input to the subversion process.
on_urlCombo_currentIndexChanged | Private slot called, when a new repository URL is entered or selected.
start | Public slot to start the svn info command.

### Static Methods

None

#### SvnRepoBrowserDialog (Constructor)

SvnRepoBrowserDialog(vcs, mode="browse", parent=None)

Constructor

vcs
  reference to the vcs object
mode
  mode of the dialog (string, "browse" or "select")
parent
  parent widget (QWidget)

#### SvnRepoBrowserDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnRepoBrowserDialog.__generateItem

__generateItem(repopath, revision, author, size, date, nodekind, url)

Private method to generate a tree item in the repository tree.

repopath
  path of the item (string)
revision
  revision info (string)
author
  author info (string)
size
  size info (string)
date
  date info (string)
nodekind
  node kind info (string, "dir" or "file")
url
  url of the entry (string)

Return:
  reference to the generated item (QTreeWidgetItem)

#### SvnRepoBrowserDialog.__listRepo

__listRepo(url, parent=None)

Private method to perform the svn list command.

url
  the repository URL to browse (string)
parent
  reference to the item, the data should be appended to (QTreeWidget or QTreeWidgetItem)

#### SvnRepoBrowserDialog.__normalizeUrl

__normalizeUrl(url)

Private method to normalite the url.

url
  the url to normalize (string)

Return:
  normalized URL (string)

#### SvnRepoBrowserDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnRepoBrowserDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnRepoBrowserDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### SvnRepoBrowserDialog.__repoRoot

__repoRoot(url)

Private method to get the repository root using the svn info command.

url
  the repository URL to browser (string)

Return:
  repository root (string)

#### SvnRepoBrowserDialog.__resizeColumns

__resizeColumns()

Private method to resize the tree columns.

#### SvnRepoBrowserDialog.__resort

__resort()

Private method to resort the tree.

#### SvnRepoBrowserDialog.accept

accept()

Public slot called when the dialog is accepted.

#### SvnRepoBrowserDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### SvnRepoBrowserDialog.getSelectedUrl

getSelectedUrl()

Public method to retrieve the selected repository URL.

Return:
  the selected repository URL (string)

#### SvnRepoBrowserDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### SvnRepoBrowserDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### SvnRepoBrowserDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### SvnRepoBrowserDialog.on_repoTree_itemCollapsed

on_repoTree_itemCollapsed(item)

Private slot called when an item is collapsed.

item
  reference to the item to be collapsed (QTreeWidgetItem)

#### SvnRepoBrowserDialog.on_repoTree_itemExpanded

on_repoTree_itemExpanded(item)

Private slot called when an item is expanded.

item
  reference to the item to be expanded (QTreeWidgetItem)

#### SvnRepoBrowserDialog.on_repoTree_itemSelectionChanged

on_repoTree_itemSelectionChanged()

Private slot called when the selection changes.

#### SvnRepoBrowserDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### SvnRepoBrowserDialog.on_urlCombo_currentIndexChanged

on_urlCombo_currentIndexChanged(index)

Private slot called, when a new repository URL is entered or selected.

index (int)
  index of the current item

#### SvnRepoBrowserDialog.start

start(url)

Public slot to start the svn info command.

url
  the repository URL to browser (string)

Up